Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportStart

    java.lang.Object
      org.apache.jmeter.report.gui.action.AbstractAction
          org.apache.jmeter.report.gui.action.ReportStart

All Implemented Interfaces:
  Command

public class ReportStart
extends AbstractAction

Constructor Summary
`ReportStart()` Constructor for the Start object.

Method Summary
`void` `doAction(ActionEvent e)`
`Set` `getActionNames()` Gets the ActionNames attribute of the Start object.
`protected void` `startEngine()`

Methods inherited from class org.apache.jmeter.report.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportStart

    public ReportStart()

  Constructor for the Start object.

Method Detail

### getActionNames

    public Set getActionNames()

  Gets the ActionNames attribute of the Start object.

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  Returns:
    the ActionNames value
  See Also:
    `Command.getActionNames()`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

### startEngine

    protected void startEngine()

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.